﻿using System;
using System.Windows.Forms;

namespace SierraLauncher
{
    public partial class PerGameSettings : Form
    {
        Launcher launcher;

        public PerGameSettings()
        {
            InitializeComponent();

            // Used to launch the setup programs of third party remakes
            launcher = new Launcher();

            // Initialise the radio buttons to correspond with the current setting

            #region KQ1
            switch (SierraLauncher.Properties.Settings.Default.KQ1AGI)
            {
                case 0:
                    // Check none
                    radioButtonKQ1AGINone.Checked = true;
                    break;
                case 1:
                    // Check NAGI
                    radioButtonKQ1AGINAGI.Checked = true;
                    break;
                case 2:
                    // Check DOSBox
                    radioButtonKQ1AGIDOSBox.Checked = true;
                    break;
                case 3:
                    // Check VDMSound
                    radioButtonKQ1AGIVDMSound.Checked = true;
                    break;
                case 4:
                    // Check SCUMMVM
                    radioButtonKQ1AGISCUMMVM.Checked = true;
                    break;
                default:
                    break;
            }

            switch (SierraLauncher.Properties.Settings.Default.KQ1SCI)
            {
                case 0:
                    // Check none
                    radioButtonKQ1SCINone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonKQ1SCIDOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonKQ1SCIVDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region KQ2
            switch (SierraLauncher.Properties.Settings.Default.KQ2AGI)
            {
                case 0:
                    // Check none
                    radioButtonKQ2AGINone.Checked = true;
                    break;
                case 1:
                    // Check NAGI
                    radioButtonKQ2AGINAGI.Checked = true;
                    break;
                case 2:
                    // Check DOSBox
                    radioButtonKQ2AGIDOSBox.Checked = true;
                    break;
                case 3:
                    // Check VDMSound
                    radioButtonKQ2AGIVDMSound.Checked = true;
                    break;
                case 4:
                    // Check SCUMMVM
                    radioButtonKQ2AGISCUMMVM.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region KQ3
            switch (SierraLauncher.Properties.Settings.Default.KQ3AGI)
            {
                case 0:
                    // Check none
                    radioButtonKQ3AGINone.Checked = true;
                    break;
                case 1:
                    // Check NAGI
                    radioButtonKQ3AGINAGI.Checked = true;
                    break;
                case 2:
                    // Check DOSBox
                    radioButtonKQ3AGIDOSBox.Checked = true;
                    break;
                case 3:
                    // Check VDMSound
                    radioButtonKQ3AGIVDMSound.Checked = true;
                    break;
                case 4:
                    // Check SCUMMVM
                    radioButtonKQ3AGISCUMMVM.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region KQ4
            switch (SierraLauncher.Properties.Settings.Default.KQ4AGI)
            {
                case 0:
                    // Check none
                    radioButtonKQ4AGINone.Checked = true;
                    break;
                case 1:
                    // Check NAGI
                    radioButtonKQ4AGINAGI.Checked = true;
                    break;
                case 2:
                    // Check DOSBox
                    radioButtonKQ4AGIDOSBox.Checked = true;
                    break;
                case 3:
                    // Check VDMSound
                    radioButtonKQ4AGIVDMSound.Checked = true;
                    break;
                case 4:
                    // Check SCUMMVM
                    radioButtonKQ4AGISCUMMVM.Checked = true;
                    break;
                default:
                    break;
            }

            switch (SierraLauncher.Properties.Settings.Default.KQ4SCI)
            {
                case 0:
                    // Check none
                    radioButtonKQ4SCINone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonKQ4SCIDOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonKQ4SCIVDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region KQ5
            switch (SierraLauncher.Properties.Settings.Default.KQ5)
            {
                case 0:
                    // Check none
                    radioButtonKQ5None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonKQ5DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonKQ5VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region KQ6
            switch (SierraLauncher.Properties.Settings.Default.KQ6DOS)
            {
                case 0:
                    // Check none
                    radioButtonKQ6DOSNone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonKQ6DOSDOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonKQ6DOSVDMSound.Checked = true;
                    break;
                default:
                    break;
            }

            switch (SierraLauncher.Properties.Settings.Default.KQ6Win)
            {
                case 0:
                    // Check none
                    radioButtonKQ6WinNone.Checked = true;
                    break;
                case 1:
                    // Check VDMSound
                    radioButtonKQ6WinVDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region KQ7
            switch (SierraLauncher.Properties.Settings.Default.KQ7)
            {
                case 0:
                    // Check none
                    radioButtonKQ7None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonKQ7DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonKQ7VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region Other
            switch (SierraLauncher.Properties.Settings.Default.Nick)
            {
                case 0:
                    // Check none
                    radioButtonNickNone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonNickDOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonNickVDMSound.Checked = true;
                    break;
                default:
                    break;
            }

            switch (SierraLauncher.Properties.Settings.Default.Trivia)
            {
                case 0:
                    // Check none
                    radioButtonTriviaNone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonTriviaDOSBox.Checked = true;
                    break;
                default:
                    break;
            }

            switch (SierraLauncher.Properties.Settings.Default.Extra)
            {
                case 0:
                    // Check none
                    radioButtonExtraNone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonExtraDOSBox.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            // Close the form
            this.Close();
        }

        #region King's Quest 1

        #region AGI
        private void radioButtonKQ1AGINone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ1AGI = 0;
        }

        private void radioButtonKQ1AGINAGI_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ1AGI = 1;
        }

        private void radioButtonKQ1AGIDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ1AGI = 2;
        }

        private void radioButtonKQ1AGIVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ1AGI = 3;
        }

        private void radioButtonKQ1AGISCUMMVM_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ1AGI = 4;
        }
        #endregion

        #region SCI
        private void radioButtonKQ1SCINone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ1SCI = 0;
        }

        private void radioButtonKQ1SCIDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ1SCI = 1;
        }

        private void radioButtonKQ1SCIVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ1SCI = 2;
        }
        #endregion

        #region VGA
        private void buttonKQ1VGAOptions_Click(object sender, EventArgs e)
        {
            // Open the KQ1 VGA Options
            launcher.Launch("C:\\Program Files\\Tierra\\KQVGA\\winsetup.exe");
        } 
        #endregion

        #endregion

        #region King's Quest 2

        #region AGI

        private void radioButtonKQ2AGINone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ2AGI = 0;
        }

        private void radioButtonKQ2AGINAGI_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ2AGI = 1;
        }

        private void radioButtonKQ2AGIDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ2AGI = 2;
        }

        private void radioButtonKQ2AGIVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ2AGI = 3;
        }

        private void radioButtonKQ2AGISCUMMVM_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ2AGI = 4;
        }

        #endregion

        #region VGA
        private void buttonKQ2VGAOptions_Click(object sender, EventArgs e)
        {
            // Open the KQ2 VGA Options
            launcher.Launch("C:\\Program Files\\Tierra\\KQ2VGA\\winsetup.exe");
        }
        #endregion
        
        #endregion

        #region King's Quest 3

        #region AGI

        private void radioButtonKQ3AGINone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ3AGI = 0;
        }

        private void radioButtonKQ3AGINAGI_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ3AGI = 1;
        }

        private void radioButtonKQ3AGIDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ3AGI = 2;
        }

        private void radioButtonKQ3AGIVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ3AGI = 3;
        }

        private void radioButtonKQ3AGISCUMMVM_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ3AGI = 4;
        }

        #endregion

        #region VGA
        private void buttonKQ3VGAOptions_Click(object sender, EventArgs e)
        {
            // Open the KQ3 VGA Options
            launcher.Launch("C:\\Program Files\\IA\\King's Quest III\\winsetup.exe");
        }
        #endregion

        #endregion
        
        #region King's Quest 4

        #region AGI

        private void radioButtonKQ4AGINone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ4AGI = 0;
        }

        private void radioButtonKQ4AGINAGI_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ4AGI = 1;
        }

        private void radioButtonKQ4AGIDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ4AGI = 2;
        }

        private void radioButtonKQ4AGIVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ4AGI = 3;
        }

        private void radioButtonKQ4AGISCUMMVM_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ4AGI = 4;
        }
        
        #endregion

        #region SCI

        private void radioButtonKQ4SCINone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ4SCI = 0;
        }

        private void radioButtonKQ4SCIDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ4SCI = 1;
        }

        private void radioButtonKQ4SCIVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ4SCI = 2;
        }

#endregion

        #endregion

        #region King's Quest 5

        private void radioButtonKQ5None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ5 = 0;
        }

        private void radioButtonKQ5DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ5 = 1;
        }

        private void radioButtonKQ5VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ5 = 2;
        }

        #endregion

        #region King's Quest 6

        #region DOS
        private void radioButtonKQ6DOSNone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ6DOS = 0;
        }

        private void radioButtonKQ6DOSDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ6DOS = 1;
        }

        private void radioButtonKQ6DOSVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ6DOS = 2;
        }

        #endregion

        #region Windows

        private void radioButtonKQ6WinNone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ6Win = 0;
        }

        private void radioButtonKQ6WinVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ6Win = 1;
        }

        #endregion
        
        #endregion

        #region King's Quest 7
        private void radioButtonKQ7None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ7 = 0;
        }

        private void radioButtonKQ7DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ7 = 1;
        }

        private void radioButtonKQ7VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.KQ7 = 2;
        }
        #endregion

        #region King's Quest 8
        private void buttonBrowseKQ8_Click(object sender, EventArgs e)
        {
            // Create a new Open File Dialog.
            OpenFileDialog openFileDialog = new OpenFileDialog();

            // Set the behaviour of the Open File Dialog.
            openFileDialog.Filter = "mask.exe|mask.exe|All executables (*.exe)|*.exe|All files (*.*)|*.*";
            openFileDialog.FilterIndex = 1;
            openFileDialog.RestoreDirectory = true;


            // Start the Open File Dialog.
            if (openFileDialog.ShowDialog() == DialogResult.OK)
            {
                // Read the Filepath into the program.
                SierraLauncher.Properties.Settings.Default.KQ8Location = openFileDialog.FileName;
            }
        }

        #endregion

        #region Other

        #region Nick's Picks
        private void radioButtonNickNone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Nick = 0;
        }

        private void radioButtonNickDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Nick = 1;
        }

        private void radioButtonNickVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Nick = 2;
        }

        #endregion

        #region King's Questions

        private void radioButtonTriviaNone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Trivia = 0;
        }

        private void radioButtonTriviaDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Trivia = 1;
        }

        #endregion

        #region Extras

        private void radioButtonExtraNone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Extra = 0;
        }

        private void radioButtonExtraDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Extra = 1;
        }

        #endregion

        #endregion
    }
}
