﻿using System;
using System.Windows.Forms;

namespace SierraLauncher
{
    public partial class PerGameSettings : Form
    {
        // Launcher launcher;

        public PerGameSettings()
        {
            InitializeComponent();

            // Used to launch the setup programs of third party remakes
            // launcher = new Launcher();

            // Initialise the radio buttons to correspond with the current setting

            #region LSL1
            switch (SierraLauncher.Properties.Settings.Default.LSL1AGI)
            {
                case 0:
                    // Check none
                    radioButtonLSL1AGINone.Checked = true;
                    break;
                case 1:
                    // Check NAGI
                    radioButtonLSL1AGINAGI.Checked = true;
                    break;
                case 2:
                    // Check DOSBox
                    radioButtonLSL1AGIDOSBox.Checked = true;
                    break;
                case 3:
                    // Check VDMSound
                    radioButtonLSL1AGIVDMSound.Checked = true;
                    break;
                case 4:
                    // Check SCUMMVM
                    radioButtonLSL1AGISCUMMVM.Checked = true;
                    break;
                default:
                    break;
            }

            switch (SierraLauncher.Properties.Settings.Default.LSL1VGA)
            {
                case 0:
                    // Check none
                    radioButtonLSL1VGANone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonLSL1VGADOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonLSL1VGAVDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region LSL2
            switch (SierraLauncher.Properties.Settings.Default.LSL2)
            {
                case 0:
                    // Check none
                    radioButtonLSL2None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonLSL2DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonLSL2VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region LSL3
            switch (SierraLauncher.Properties.Settings.Default.LSL3)
            {
                case 0:
                    // Check none
                    radioButtonLSL3None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonLSL3DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonLSL3VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region LSL5
            switch (SierraLauncher.Properties.Settings.Default.LSL5)
            {
                case 0:
                    // Check none
                    radioButtonLSL5None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonLSL5DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonLSL5VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region LSL6
            switch (SierraLauncher.Properties.Settings.Default.LSL6)
            {
                case 0:
                    // Check none
                    radioButtonLSL6None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonLSL6DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonLSL6VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region LSL7
            switch (SierraLauncher.Properties.Settings.Default.LSL7)
            {
                case 0:
                    // Check none
                    radioButtonLSL7None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonLSL7DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonLSL7VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region Other
            switch (SierraLauncher.Properties.Settings.Default.Nick)
            {
                case 0:
                    // Check none
                    radioButtonNickNone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonNickDOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonNickVDMSound.Checked = true;
                    break;
                default:
                    break;
            }            
            #endregion
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            // Close the form
            this.Close();
        }

        #region Leisure Suit Larry 1

        #region AGI
        private void radioButtonLSL1AGINone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL1AGI = 0;
        }

        private void radioButtonLSL1AGINAGI_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL1AGI = 1;
        }

        private void radioButtonLSL1AGIDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL1AGI = 2;
        }

        private void radioButtonLSL1AGIVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL1AGI = 3;
        }

        private void radioButtonLSL1AGISCUMMVM_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL1AGI = 4;
        }
        #endregion

        #region VGA
        private void radioButtonLSL1VGANone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL1VGA = 0;
        }

        private void radioButtonLSL1VGADOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL1VGA = 1;
        }

        private void radioButtonLSL1VGAVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL1VGA = 2;
        }
        #endregion

        #endregion

        #region Leisure Suit Larry 2

        private void radioButtonLSL2None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL2 = 0;
        }

        private void radioButtonLSL2DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL2 = 1;
        }

        private void radioButtonLSL2VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL2 = 2;
        }
        
        #endregion
        
        #region Leisure Suit Larry 3

        private void radioButtonLSL3None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL3 = 0;
        }

        private void radioButtonLSL3DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL3 = 1;
        }

        private void radioButtonLSL3VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL3 = 2;
        }

        #endregion

        #region Leisure Suit Larry 5

        private void radioButtonLSL5None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL5 = 0;
        }

        private void radioButtonLSL5DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL5 = 1;
        }

        private void radioButtonLSL5VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL5 = 2;
        }

        #endregion

        #region Leisure Suit Larry 6
        private void radioButtonLSL6None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL6 = 0;
        }

        private void radioButtonLSL6DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL6 = 1;
        }

        private void radioButtonLSL6VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL6 = 2;
        }        
        #endregion

        #region Leisure Suit Larry 7
        private void radioButtonLSL7None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL7 = 0;
        }

        private void radioButtonLSL7DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL7 = 1;
        }

        private void radioButtonLSL7VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.LSL7 = 2;
        }
        #endregion

        #region Other

        #region Nick's Picks
        private void radioButtonNickNone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Nick = 0;
        }

        private void radioButtonNickDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Nick = 1;
        }

        private void radioButtonNickVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Nick = 2;
        }

        #endregion

        #endregion
    }
}
