﻿using System;
using System.Windows.Forms;
using System.IO;

namespace SierraLauncher
{
    class Launcher
    {
        string normalDirectory = Directory.GetCurrentDirectory();

        // Launch a seperate program
        public void Launch(string program, string args)
        {
            System.Diagnostics.Process game = new System.Diagnostics.Process();

            game.StartInfo.FileName = program;
            game.StartInfo.Arguments = args;

            try
            {
                game.Start();
            }
            catch (Exception ex)
            {
                MessageBox.Show("Cannot find " + program, ex.Message, MessageBoxButtons.OK, MessageBoxIcon.Error);
            }

            // Reset the directory
            try
            {
                Directory.SetCurrentDirectory(normalDirectory);
            }
            catch (DirectoryNotFoundException ex)
            {
                MessageBox.Show(ex.Message, "Cannot Find Directory", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        // Launch a program without any arguments
        public void Launch(string program)
        {
            Launch(program, "");
        }
    }
}
