﻿using System;
using System.Windows.Forms;

namespace SierraLauncher
{
    public partial class PerGameSettings : Form
    {
        //Launcher launcher;

        public PerGameSettings()
        {
            InitializeComponent();

            // Used to launch the setup programs of third party remakes
            //launcher = new Launcher();

            // Initialise the radio buttons to correspond with the current setting

            #region PQ1
            switch (SierraLauncher.Properties.Settings.Default.PQ1AGI)
            {
                case 0:
                    // Check none
                    radioButtonPQ1AGINone.Checked = true;
                    break;
                case 1:
                    // Check NAGI
                    radioButtonPQ1AGINAGI.Checked = true;
                    break;
                case 2:
                    // Check DOSBox
                    radioButtonPQ1AGIDOSBox.Checked = true;
                    break;
                case 3:
                    // Check VDMSound
                    radioButtonPQ1AGIVDMSound.Checked = true;
                    break;
                case 4:
                    // Check SCUMMVM
                    radioButtonPQ1AGISCUMMVM.Checked = true;
                    break;
                default:
                    break;
            }

            switch (SierraLauncher.Properties.Settings.Default.PQ1VGA)
            {
                case 0:
                    // Check none
                    radioButtonPQ1VGANone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonPQ1VGADOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonPQ1VGAVDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region PQ2
            switch (SierraLauncher.Properties.Settings.Default.PQ2)
            {
                case 0:
                    // Check none
                    radioButtonPQ2None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonPQ2DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonPQ2VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region PQ3
            switch (SierraLauncher.Properties.Settings.Default.PQ3)
            {
                case 0:
                    // Check none
                    radioButtonPQ3None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonPQ3DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonPQ3VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region PQ4
            switch (SierraLauncher.Properties.Settings.Default.PQ4)
            {
                case 0:
                    // Check none
                    radioButtonPQ4None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonPQ4DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonPQ4VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            // Close the form
            this.Close();
        }

        #region Police Quest 1

        #region AGI
        private void radioButtonPQ1AGINone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ1AGI = 0;
        }

        private void radioButtonPQ1AGINAGI_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ1AGI = 1;
        }

        private void radioButtonPQ1AGIDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ1AGI = 2;
        }

        private void radioButtonPQ1AGIVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ1AGI = 3;
        }

        private void radioButtonPQ1AGISCUMMVM_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ1AGI = 4;
        }
        #endregion

        #region VGA
        private void radioButtonPQ1VGANone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ1VGA = 0;
        }

        private void radioButtonPQ1VGADOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ1VGA = 1;
        }

        private void radioButtonPQ1VGAVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ1VGA = 2;
        }
        #endregion        

        #endregion

        #region Police Quest 2

        #region AGI

        private void radioButtonPQ2None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ2 = 0;
        }

        private void radioButtonPQ2DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ2 = 1;
        }

        private void radioButtonPQ2VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ2 = 2;
        }

        #endregion
        
        #endregion
        
        #region Police Quest 3

        private void radioButtonPQ3None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ3 = 0;
        }

        private void radioButtonPQ3DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ3 = 1;
        }

        private void radioButtonPQ3VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ3 = 2;
        }

        #endregion

        #region Police Quest 4

        private void radioButtonPQ4None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ4 = 0;
        }

        private void radioButtonPQ4DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ4 = 1;
        }

        private void radioButtonPQ4VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.PQ4 = 2;
        }

        #endregion

    }
}
