﻿using System;
using System.Windows.Forms;

namespace SierraLauncher
{
    public partial class Options : Form
    {
        public Options()
        {
            InitializeComponent();
        }

        private void buttonBrowseDOSBox_Click(object sender, EventArgs e)
        {
            // Create a new Open File Dialog.
            OpenFileDialog openFileDialog = new OpenFileDialog();

            // Set the behaviour of the Open File Dialog.
            openFileDialog.Filter = "dosbox.exe|dosbox.exe|All executables (*.exe)|*.exe|All files (*.*)|*.*";
            openFileDialog.FilterIndex = 1;
            openFileDialog.RestoreDirectory = true;


            // Start the Open File Dialog.
            if (openFileDialog.ShowDialog() == DialogResult.OK)
            {
                // Read the Filepath into the program.
                SierraLauncher.Properties.Settings.Default.DOSBoxLocation = openFileDialog.FileName;
            }
        }

        private void buttonBrowseVDMSound_Click(object sender, EventArgs e)
        {
            // Create a new Open File Dialog.
            OpenFileDialog openFileDialog = new OpenFileDialog();

            // Set the behaviour of the Open File Dialog.
            openFileDialog.Filter = "VDMSRun.bat|VDMSRun.bat|All batch files (*.bat)|*.bat|All files (*.*)|*.*";
            openFileDialog.FilterIndex = 1;
            openFileDialog.RestoreDirectory = true;


            // Start the Open File Dialog.
            if (openFileDialog.ShowDialog() == DialogResult.OK)
            {
                // Read the Filepath into the program.
                SierraLauncher.Properties.Settings.Default.VDMSoundLocation = openFileDialog.FileName;
            }
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            // Close the form
            this.Close();
        }
    }
}
