﻿using System;
using System.Windows.Forms;

namespace SierraLauncher
{
    public partial class PerGameSettings : Form
    {
        Launcher launcher;

        public PerGameSettings()
        {
            InitializeComponent();

            // Used to launch the setup programs of third party remakes
            launcher = new Launcher();

            // Initialise the radio buttons to correspond with the current setting

            #region QfG1
            switch (SierraLauncher.Properties.Settings.Default.QfG1SCI)
            {
                case 0:
                    // Check none
                    radioButtonQfG1SCINone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonQfG1SCIDOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonQfG1SCIVDMSound.Checked = true;
                    break;
                default:
                    break;
            }

            switch (SierraLauncher.Properties.Settings.Default.QfG1VGA)
            {
                case 0:
                    // Check none
                    radioButtonQfG1VGANone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonQfG1VGADOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonQfG1VGAVDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region QfG2
            switch (SierraLauncher.Properties.Settings.Default.QfG2SCI)
            {
                case 0:
                    // Check none
                    radioButtonQfG2SCINone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonQfG2SCIDOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonQfG2SCIVDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region QfG3
            switch (SierraLauncher.Properties.Settings.Default.QfG3)
            {
                case 0:
                    // Check none
                    radioButtonQfG3None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonQfG3DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonQfG3VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region QfG4
            switch (SierraLauncher.Properties.Settings.Default.QfG4)
            {
                case 0:
                    // Check none
                    radioButtonQfG4None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonQfG4DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonQfG4VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            // Close the form
            this.Close();
        }

        #region Quest for Glory 1

        #region SCI
        private void radioButtonQfG1SCINone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG1SCI = 0;
        }

        private void radioButtonQfG1SCIDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG1SCI = 1;
        }

        private void radioButtonQfG1SCIVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG1SCI = 2;
        }
        #endregion

        #region VGA
        private void radioButtonQfG1VGANone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG1VGA = 0;
        }

        private void radioButtonQfG1VGADOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG1VGA = 1;
        }

        private void radioButtonQfG1VGAVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG1VGA = 2;
        }
        #endregion

        #endregion

        #region Quest for Glory 2
        #region SCI

        private void radioButtonQfG2SCINone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG2SCI = 0;
        }

        private void radioButtonQfG2SCIDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG2SCI = 1;
        }

        private void radioButtonQfG2SCIVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG2SCI = 2;
        }

        #endregion

        #region VGA
        private void buttonQfG2VGAOptions_Click(object sender, EventArgs e)
        {
            {
                // Open the QfG2 VGA Options
                launcher.Launch("C:\\Program Files\\AGD Interactive\\Quest for Glory II\\winsetup.exe");
            }
        }
        #endregion
        #endregion

        #region Quest for Glory 3

        private void radioButtonQfG3None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG3 = 0;
        }

        private void radioButtonQfG3DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG3 = 1;
        }

        private void radioButtonQfG3VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG3 = 2;
        }

        #endregion

        #region Quest for Glory 4
        private void radioButtonQfG4None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG4 = 0;
        }

        private void radioButtonQfG4DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG4 = 1;
        }

        private void radioButtonQfG4VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.QfG4 = 2;
        }

        #endregion

        #region Quest for Glory 5
        private void buttonBrowseQfG5_Click(object sender, EventArgs e)
        {
            // Create a new Open File Dialog.
            OpenFileDialog openFileDialog = new OpenFileDialog();

            // Set the behaviour of the Open File Dialog.
            openFileDialog.Filter = "QFG5.exe|QFG5.exe|All executables (*.exe)|*.exe|All files (*.*)|*.*";
            openFileDialog.FilterIndex = 1;
            openFileDialog.RestoreDirectory = true;


            // Start the Open File Dialog.
            if (openFileDialog.ShowDialog() == DialogResult.OK)
            {
                // Read the Filepath into the program.
                SierraLauncher.Properties.Settings.Default.QfG5Location = openFileDialog.FileName;
            }
        }

        #endregion        
    }
}
