﻿using System;
using System.Windows.Forms;

namespace SierraLauncher
{
    public partial class PerGameSettings : Form
    {
        Launcher launcher;

        public PerGameSettings()
        {
            InitializeComponent();

            // Used to launch the setup programs of third party remakes
            launcher = new Launcher();

            // Initialise the radio buttons to correspond with the current setting

            #region SQ1
            switch (SierraLauncher.Properties.Settings.Default.SQ1AGI)
            {
                case 0:
                    // Check none
                    radioButtonSQ1AGINone.Checked = true;
                    break;
                case 1:
                    // Check NAGI
                    radioButtonSQ1AGINAGI.Checked = true;
                    break;
                case 2:
                    // Check DOSBox
                    radioButtonSQ1AGIDOSBox.Checked = true;
                    break;
                case 3:
                    // Check VDMSound
                    radioButtonSQ1AGIVDMSound.Checked = true;
                    break;
                case 4:
                    // Check SCUMMVM
                    radioButtonSQ1AGISCUMMVM.Checked = true;
                    break;
                default:
                    break;
            }

            switch (SierraLauncher.Properties.Settings.Default.SQ1VGA)
            {
                case 0:
                    // Check none
                    radioButtonSQ1VGANone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonSQ1VGADOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonSQ1VGAVDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region SQ2
            switch (SierraLauncher.Properties.Settings.Default.SQ2AGI)
            {
                case 0:
                    // Check none
                    radioButtonSQ2AGINone.Checked = true;
                    break;
                case 1:
                    // Check NAGI
                    radioButtonSQ2AGINAGI.Checked = true;
                    break;
                case 2:
                    // Check DOSBox
                    radioButtonSQ2AGIDOSBox.Checked = true;
                    break;
                case 3:
                    // Check VDMSound
                    radioButtonSQ2AGIVDMSound.Checked = true;
                    break;
                case 4:
                    // Check SCUMMVM
                    radioButtonSQ2AGISCUMMVM.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region SQ3
            switch (SierraLauncher.Properties.Settings.Default.SQ3)
            {
                case 0:
                    // Check none
                    radioButtonSQ3None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonSQ3DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonSQ3VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region SQ4
            switch (SierraLauncher.Properties.Settings.Default.SQ4)
            {
                case 0:
                    // Check none
                    radioButtonSQ4None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonSQ4DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonSQ4VDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region SQ5
            switch (SierraLauncher.Properties.Settings.Default.SQ5)
            {
                case 0:
                    // Check none
                    radioButtonSQ5None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonSQ5DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonSQ5VDMSound.Checked = true;
                    break;
                default:
                    break;
            }            
            #endregion

            #region SQ6
            switch (SierraLauncher.Properties.Settings.Default.SQ6)
            {
                case 0:
                    // Check none
                    radioButtonSQ6None.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonSQ6DOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonSQ6VDMSound.Checked = true;
                    break;
                default:
                    break;
            }

            switch (SierraLauncher.Properties.Settings.Default.SQ6Demo)
            {
                case 0:
                    // Check none
                    radioButtonSQ6DemoNone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonSQ6DemoDOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonSQ6DemoVDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion

            #region Other
            switch (SierraLauncher.Properties.Settings.Default.Nick)
            {
                case 0:
                    // Check none
                    radioButtonNickNone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonNickDOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonNickVDMSound.Checked = true;
                    break;
                default:
                    break;
            }

            switch (SierraLauncher.Properties.Settings.Default.Astro)
            {
                case 0:
                    // Check none
                    radioButtonAstroNone.Checked = true;
                    break;
                case 1:
                    // Check DOSBox
                    radioButtonAstroDOSBox.Checked = true;
                    break;
                case 2:
                    // Check VDMSound
                    radioButtonAstroVDMSound.Checked = true;
                    break;
                default:
                    break;
            }
            #endregion
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            // Close the form
            this.Close();
        }

        #region Space Quest 1

        #region AGI
        private void radioButtonSQ1AGINone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ1AGI = 0;
        }

        private void radioButtonSQ1AGINAGI_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ1AGI = 1;
        }

        private void radioButtonSQ1AGIDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ1AGI = 2;
        }

        private void radioButtonSQ1AGIVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ1AGI = 3;
        }

        private void radioButtonSQ1AGISCUMMVM_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ1AGI = 4;
        }
        #endregion

        #region VGA
        private void radioButtonSQ1VGANone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ1VGA = 0;
        }

        private void radioButtonSQ1VGADOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ1VGA = 1;
        }

        private void radioButtonSQ1VGAVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ1VGA = 2;
        }
        #endregion        

        #endregion

        #region Space Quest 2

        #region AGI

        private void radioButtonSQ2AGINone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ2AGI = 0;
        }

        private void radioButtonSQ2AGINAGI_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ2AGI = 1;
        }

        private void radioButtonSQ2AGIDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ2AGI = 2;
        }

        private void radioButtonSQ2AGIVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ2AGI = 3;
        }

        private void radioButtonSQ2AGISCUMMVM_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ2AGI = 4;
        }

        #endregion
        
        #endregion
        
        #region Space Quest 3

        private void radioButtonSQ3None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ3 = 0;
        }

        private void radioButtonSQ3DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ3 = 1;
        }

        private void radioButtonSQ3VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ3 = 2;
        }

        #endregion

        #region Space Quest 4

        private void radioButtonSQ4None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ4 = 0;
        }

        private void radioButtonSQ4DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ4 = 1;
        }

        private void radioButtonSQ4VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ4 = 2;
        }

        #endregion

        #region Space Quest 5

        private void radioButtonSQ5None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ5 = 0;
        }

        private void radioButtonSQ5DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ5 = 1;
        }

        private void radioButtonSQ5VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ5 = 2;
        }
        
        #endregion

        #region Space Quest 6

        #region Demo
        private void radioButtonSQ6DemoNone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ6Demo = 0;
        }

        private void radioButtonSQ6DemoDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ6Demo = 1;
        }

        private void radioButtonSQ6DemoVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ6Demo = 2;
        }
        #endregion

        #region Full Game
        private void radioButtonSQ6None_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ6 = 0;
        }

        private void radioButtonSQ6DOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ6 = 1;
        }

        private void radioButtonSQ6VDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.SQ6 = 2;
        }
        #endregion

        #endregion

        #region Other

        #region Nick's Picks
        private void radioButtonNickNone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Nick = 0;
        }

        private void radioButtonNickDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Nick = 1;
        }

        private void radioButtonNickVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Nick = 2;
        }

        #endregion

        #region Astro Chicken

        private void radioButtonAstroNone_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Astro = 0;
        }

        private void radioButtonAstroDOSBox_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Astro = 1;
        }

        private void radioButtonAstroVDMSound_CheckedChanged(object sender, EventArgs e)
        {
            SierraLauncher.Properties.Settings.Default.Astro = 2;
        }

        #endregion

        #endregion

    }
}
